*-- MessageBox parameters
#DEFINE MB_OK                   0       && OK button only
#DEFINE MB_OKCANCEL             1       && OK and Cancel buttons
#DEFINE MB_ABORTRETRYIGNORE     2       && Abort, Retry, and Ignore buttons
#DEFINE MB_YESNOCANCEL          3       && Yes, No, and Cancel buttons
#DEFINE MB_YESNO                4       && Yes and No buttons
#DEFINE MB_RETRYCANCEL          5       && Retry and Cancel buttons

#DEFINE MB_ICONSTOP             16      && Critical message
#DEFINE MB_ICONQUESTION         32      && Warning query
#DEFINE MB_ICONEXCLAMATION      48      && Warning message
#DEFINE MB_ICONINFORMATION      64      && Information message

#DEFINE MB_APPLMODAL            0       && Application modal message box
#DEFINE MB_DEFBUTTON1           0       && First button is default
#DEFINE MB_DEFBUTTON2           256     && Second button is default
#DEFINE MB_DEFBUTTON3           512     && Third button is default
#DEFINE MB_SYSTEMMODAL          4096    && System Modal

*-- MsgBox return values
#DEFINE IDOK            1       && OK button pressed
#DEFINE IDCANCEL        2       && Cancel button pressed
#DEFINE IDABORT         3       && Abort button pressed
#DEFINE IDRETRY         4       && Retry button pressed
#DEFINE IDIGNORE        5       && Ignore button pressed
#DEFINE IDYES           6       && Yes button pressed
#DEFINE IDNO            7       && No button pressed
#DEFINE IDTIMEOUT       -1      && Timeout occurs

* Character constants
#DEFINE ccCaption  "Even more complex with several constants" && Caption for a messagebox

SET STEP ON

MESSAGEBOX("Check out the constants in trace window!", ;
           MB_OK, ;
           "Simple with one constant")

MESSAGEBOX("Check out the constants in trace window!", ;
           MB_OK + MB_ICONSTOP, ;
           "More complex with two constants")

MESSAGEBOX("Check out the constants in trace window!", ;
           MB_YESNOCANCEL + MB_ICONSTOP + MB_DEFBUTTON2, ;
           ccCaption)

RETURN 

*: EOF :*