* Bazillion Conditions
IF loHockey.TicketsAvailable() = .T. AND llGroupPurchase = .F. AND ;
   DetermineTrophy(lcSport) = "Stanley Cup" AND loHockey.cHomeTeam = "Red Wings" AND ;
   loHockey.cVisitingTeam = "Flyers" AND (llDrewSpeedieInDetroit = .T. OR ;
   llToniFeltmanInDetroit = .T. OR llMikeFeltmanInDetroit = .T.)
   loHockey.lPurchaseMultipleTickets = .T.
ELSE
   loHockey.lPurchaseMultipleTickets = .F.
ENDIF


* Giant SQL Statement
SELECT "A" + PADL(ALLTRIM(STR(address.iId)), 10, "0") AS cId, ;
       PADR(ALLTRIM(address.cLastName)+IIF(!EMPTY(address.cFirstName),", ","")+ ;
            ALLTRIM(address.cFirstName), FSIZE("cName", "phonenumbers"))   AS cFileAs,;
       address.cVPhone, ;
       phonecategories.cPhoneDesc AS cPhoneDesc, ;
       phonecategories.nPhonelOrd AS nPhonelOrd, ;
       address.cLastName, ;
       address.cFirstName, ;
       address.cAddress1, ;
       address.cCity, ;
       address.cState, ;
       address.cPostalCd, ;
       address.cCountry, ;
       address.cFPhone,  ;
       address.cCPhone ;
   FROM orbit!phonecategories ;
      RIGHT OUTER JOIN orbit!address ;
         ON phonecategories.cPhoneCat = Address.cPhoneCat ;
      WHERE NOT EMPTY(address.cVPhone) ;
         OR NOT EMPTY(address.cCPhone) ;
         OR NOT EMPTY(address.cFPhone) ;
UNION ;
SELECT "C" + PADL(ALLTRIM(STR(lv_clientlocations.iId)), 10, "0") AS cId, ;
       PADR(ALLTRIM(lv_clientlocations.cLastName) + IIF(!EMPTY(lv_clientlocations.cFirstName),", ","")+ ;
            ALLTRIM(lv_clientlocations.cFirstName), FSIZE("cName", "phonenumbers"))   AS cFileAs ,;
       PADR(lv_clientlocations.cPhone, FSIZE("cVPhone", "address")) AS cVPhone, ;
       phonecategories.cPhoneDesc AS cPhoneDesc, ;
       phonecategories.nPhonelOrd AS nPhonelOrd, ;
       PADR(lv_clientlocations.cLastName, FSIZE("cLastName", "address")), ;
       PADR(lv_clientlocations.cFirstName, FSIZE("cFirstName", "address")), ;
       PADR(lv_clientlocations.cAddress1, FSIZE("cAddress1", "address")), ;
       PADR(lv_clientlocations.cCity, FSIZE("cCity", "address")), ;
       lv_clientlocations.cState, ;
       lv_clientlocations.cPostalCd, ;
       PADR(lv_clientlocations.cCountry,  FSIZE("cCountry", "address")), ;
       REPL(SPACE(1),FSIZE("cFPhone", "address")) AS cFPhone, ;
       REPL(SPACE(1),FSIZE("cCPhone", "address")) AS cCPhone ;
   FROM orbit!phonecategories ;
      INNER JOIN orbit!lv_clientlocations;
         ON phonecategories.cPhoneCat = "CL" ;
   WHERE lMainContact = .T. ;
UNION ;
SELECT "P" + PADL(ALLTRIM(STR(phonenumbers.iId)), 10, "0") AS cId, ;
       phonenumbers.cname AS cFileAs, ;
       phonenumbers.cVPhone, ;
       phonecategories.cPhoneDesc AS cPhoneDesc, ;
       phonecategories.nPhonelOrd AS nPhonelOrd, ;
       REPL(SPACE(1),FSIZE("cLastName", "address")) AS cLastName, ;
       REPL(SPACE(1),FSIZE("cFirstName", "address")) AS cFirstName, ;
       REPL(SPACE(1),FSIZE("cAddress1", "address")) AS cAddress1, ;
       REPL(SPACE(1),FSIZE("cCity", "address")) AS cCity, ;
       REPL(SPACE(1),FSIZE("cState", "address")) AS cState, ;
       REPL(SPACE(1),FSIZE("cPostalCd", "address")) AS cPostalCd, ;
       REPL(SPACE(1),FSIZE("cCountry", "address")) AS cCountry, ;
       phonenumbers.cFPhone, ;
       REPL(SPACE(1),FSIZE("cCPhone", "address")) AS cCPhone ;
   FROM orbit!phonecategories ;
      RIGHT OUTER JOIN orbit!phonenumbers ;
         ON phonecategories.cPhoneCat = Phonenumbers.cPhoneCat ;
   ORDER BY 6, 7 ;
   INTO CURSOR curOutlook
